# @readme/syntax-highlighter

ReadMe's React-based syntax highlighter

[![Build](https://github.com/readmeio/api-explorer/workflows/CI/badge.svg)](https://github.com/readmeio/api-explorer/tree/master/packages/syntax-highlighter)

[![](https://d3vv6lp55qjaqc.cloudfront.net/items/1M3C3j0I0s0j3T362344/Untitled-2.png)](https://readme.io)

## Installation

```
npm install --save @readme/syntax-highlighter
```

## Usage

```js
const syntaxHighlighter = require('@readme/syntax-highlighter');
console.log(syntaxHighlighter('console.log("Hello, world!");', 'js'));
```

## Languages Supported
| Language | Available language mode(s) |
| :--- | :--- |
| ASP.NET | `asp`, `aspx` |
| C | `c` |
| C++ | `c++`, `cpp`, `cplusplus` |
| C# | `cs`, `csharp` |
| Clojure | `clj`, `cljc`, `cljx`, `clojure` |
| CSS | `css`, `less`, `sass`, `scss`, `styl`, `stylus` |
| cURL | `curl` |
| D | `d` |
| Dart | `dart` |
| Docker | `dockerfile` |
| Erlang | `erl`, `erlang` |
| Go | `go` |
| Groovy | `gradle`, `groovy` |
| Handlebars | `handlebars`, `hbs` |
| HTML/XML | `html`, `xhtml`, `xml` |
| HTTP | `http` |
| Java | `java` |
| JavaScript | `coffeescript`, `ecmascript`, `javascript`, `js`, `node` |
| JSON | `json` |
| Julia | `jl`, `julia` |
| Kotlin | `kotlin`, `kt` |
| Liquid | `liquid` |
| Markdown | `markdown` |
| Objective-C | `objc`, `objectivec`,  |
| Objective-C++ | `objc++`, `objcpp`, `objectivecpp`, `objectivecplusplus`,  |
| Perl | `perl`, `pl` |
| PHP | `php` |
| PowerShell | `powershell`, `ps1` |
| Python | `py`, `python` |
| Ruby | `jruby`, `macruby`, `rake`, `rb`, `rbx`, `ruby` |
| Rust | `rs`, `rust` |
| Scala | `scala` |
| Shell | `bash`, `sh`, `shell`, `zsh` |
| SQL | `cql`, `mssql`, `mysql`, `plsql`, `postgres`, `postgresql`, `pgsql`, `sql`, `sqlite` |
| Swift | `swift` |
| TypeScript | `ts`, `typescript` |
| YAML | `yaml`, `yml` |

## Credits
[Dom Harrington](https://github.com/domharrington/)

## License

ISC
